# nix-index — Files database for nixpkgs
{
  config,
  lib,
  pkgs,
  ...
}:
with lib; let
  cfg = config.base.cliTools.lf;
in {
  # Enabled by default — base modules are always-on.
  options.base.nix-index.lf.enable = (mkEnableOption "enable nix-index files database") // {default = true;};

  config = mkIf cfg.enable {
    home.packages = [pkgs.comma];

    programs.nix-index = {
      enable = true;
      enableBashIntegration = true;
      enableFishIntegration = true;
      enableNushellIntegration = true;
    };
  };
}
